For AI agents: visit https://developer.truckstop.com/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI.
POST
/v13/Searching/LoadSearch.svc
Searches for loads based on search criteria.
Authorization
Username, Password, & Integration ID
SOAP Action
http://webservices.truckstop.com/v12/ILoadSearch/GetLoadSearchResults
Content Type
text/xml
Accept
text/xml
URL Params
None
Body Params
XML data
📘
🗒️
For origin and destination, a single state or multiple states are acceptable with a maximum of 15 states each.
Origin is required
Destination is optional.
To search for loads based on Age, specify the age in hours in the ‘HoursOld’ field. If filtering based on Age is not required, specify 0 to return all data.
Sort functionality is available to specify a column to sort on and the sort order. The sort column is a specified list of column names. See SortColumns enum . The SortDescending field is a Boolean value that indicates Ascending order when false, and Descending order when true.
Request Response
curl --location 'https://testws.truckstop.com/v13/Searching/LoadSearch.svc' \
--header 'Content-Type: text/xml' \
--header 'SOAPAction: http://webservices.truckstop.com/v12/ILoadSearch/GetLoadSearchResults' \
--data '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:v12="http://webservices.truckstop.com/v12" xmlns:web="http://schemas.datacontract.org/2004/07/WebServices" xmlns:web1="http://schemas.datacontract.org/2004/07/WebServices.Searching" xmlns:truc="http://schemas.datacontract.org/2004/07/Truckstop2.Objects" xmlns:arr="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<soapenv:Header/>
<soapenv:Body>
<v12:GetLoadSearchResults>
<v12:searchRequest>
<web:IntegrationId>12345</web:IntegrationId>
<web:Password>MyPass123!</web:Password>
<web:UserName>MyWSUsername</web:UserName>
<web1:Criteria>
<!--Optional:-->
<web1:DestinationCity>houston</web1:DestinationCity>
<!--Optional:-->
<web1:DestinationCountry>usa</web1:DestinationCountry>
<!--Optional:-->
<web1:DestinationRange>25</web1:DestinationRange>
<!--Optional:-->
<web1:DestinationState>tx</web1:DestinationState>
<web1:EquipmentType>RVF</web1:EquipmentType>
<web1:HoursOld>1</web1:HoursOld>
<web1:LoadType>Full</web1:LoadType>
<web1:OriginCity>los angeles</web1:OriginCity>
<web1:OriginCountry>usa</web1:OriginCountry>
<web1:OriginState>ca, il, in, mi</web1:OriginState>
<web1:PageNumber>1</web1:PageNumber>
<web1:PageSize>100</web1:PageSize>
<web1:PickupDates>
<!--Zero or more repetitions:-->
<arr:dateTime>2021-05-20</arr:dateTime>
</web1:PickupDates>
<web1:SortDescending>true</web1:SortDescending>
</web1:Criteria>
</v12:searchRequest>
</v12:GetLoadSearchResults>
</soapenv:Body>
</soapenv:Envelope>'<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
<s:Body>
<GetLoadSearchResultsResponse xmlns="http://webservices.truckstop.com/v12">
<GetLoadSearchResultsResult xmlns:a="http://schemas.datacontract.org/2004/07/WebServices.Objects" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<Errors xmlns="http://schemas.datacontract.org/2004/07/WebServices"/>
<a:SearchResults>
<a:LoadSearchItem>
<a:Age>0</a:Age>
<a:Bond>0</a:Bond>
<a:BondEnabled>false</a:BondEnabled>
<a:BondTypeID>9999</a:BondTypeID>
<a:CompanyName>Reliable</a:CompanyName>
<a:Days2Pay>----</a:Days2Pay>
<a:DestinationCity>Houston</a:DestinationCity>
<a:DestinationCountry>USA</a:DestinationCountry>
<a:DestinationDistance>10</a:DestinationDistance>
<a:DestinationState>TX</a:DestinationState>
<a:Equipment>V</a:Equipment>
<a:EquipmentOptions xmlns:b="http://schemas.datacontract.org/2004/07/Truckstop2.Objects"/>
<a:ExperienceFactor>N</a:ExperienceFactor>
<a:FuelCost>$457.83</a:FuelCost>
<a:ID>6483304</a:ID>
<a:IsFriend>false</a:IsFriend>
<a:Length>53.0</a:Length>
<a:LoadType>Full</a:LoadType>
<a:Miles>860</a:Miles>
<a:ModeShortDescription i:nil="true"/>
<a:OriginCity>Vandalia</a:OriginCity>
<a:OriginCountry>USA</a:OriginCountry>
<a:OriginDistance>0</a:OriginDistance>
<a:OriginState>IL</a:OriginState>
<a:Payment>800.00</a:Payment>
<a:PickUpDate>11/11/24</a:PickUpDate>
<a:PointOfContactPhone>333-444-5556</a:PointOfContactPhone>
<a:PricePerGall>2.9280</a:PricePerGall>
<a:TruckCompanyId>424442</a:TruckCompanyId>
<a:Weight>42877</a:Weight>
<a:Width>0.00</a:Width>
</a:LoadSearchItem>
</a:SearchResults>
</GetLoadSearchResultsResult>
</GetLoadSearchResultsResponse>
</s:Body>
</s:Envelope>